use strict;
use warnings FATAL => 'all';

package MarpaX::Java::ClassFile::Struct::ThrowsTarget;
use MarpaX::Java::ClassFile::Struct::_Base
  -tiny => [qw/throws_type_index/],
  '""' => [
           [ sub { 'Throw type index' } => sub { $_[0]->throws_type_index } ]
          ];

# ABSTRACT: throws_target

our $VERSION = '0.003'; # VERSION

our $AUTHORITY = 'cpan:JDDPAUSE'; # AUTHORITY

use MarpaX::Java::ClassFile::Struct::_Types qw/U2/;

has throws_type_index  => ( is => 'ro', required => 1, isa => U2 );

1;

__END__

=pod

=encoding UTF-8

=head1 NAME

MarpaX::Java::ClassFile::Struct::ThrowsTarget - throws_target

=head1 VERSION

version 0.003

=head1 AUTHOR

Jean-Damien Durand <jeandamiendurand@free.fr>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2015 by Jean-Damien Durand.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
